package com.shcd.boat.service;

import com.alibaba.fastjson.JSONObject;
import com.shcd.boat.entity.AnalysAisArea;
import com.shcd.boat.entity.gh.GHAisInfo;
import com.shcd.boat.entity.gh.PageForGHAisInfo;
import com.shcd.boat.enums.WarningTypeEnum;

import java.math.BigDecimal;
import java.util.List;

public interface ShipSealOffService {

  PageForGHAisInfo getGHAISData(JSONObject params, BigDecimal shipLength, BigDecimal shipBreadth);

  List<GHAisInfo>  analysisData(AnalysAisArea analysAisArea,BigDecimal shipLength,BigDecimal shipBreadth);

  /**
   * 执行入口
   * @param type 封航预警、通航预警
   * @throws InterruptedException
   */
  void  analysisGISPointInData(WarningTypeEnum type) throws InterruptedException;
}
