package com.shcd.boat.service;

import com.shcd.boat.entity.BoatInfoEntity;
import com.shcd.boat.entity.PointInfoEntity;
import com.shcd.boat.entity.gh.GHAisInfo;
import com.shcd.boat.enums.WarningTypeEnum;
import com.shcd.boat.mapper.ShipSealOffSpaceMapper;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.UUID;

/**
 * 类名:@Name - BoatRedisTest
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/1/9 10:15
 * 作者:@Created by zrj
 */
@RunWith(SpringRunner.class)
@SpringBootTest
public class BoatRedisTest {

    @Autowired
    private BoatRedisService boatRedisService;


    @Resource
    private ShipSealOffSpaceMapper shipSealOffSpaceMapper;

    @Test
    public void method(){
        List<GHAisInfo> aisInfosAll=new ArrayList<>();
        GHAisInfo ghAisInfo=new GHAisInfo();
        ghAisInfo.setMapx(new BigDecimal("10078.548"));
        ghAisInfo.setMapy(new BigDecimal("5942.117"));
        ghAisInfo.setDeviCeid("a11111111111111111111111");
        ghAisInfo.setBoatName("a22222222222222222222");
        ghAisInfo.setGpsTime(new Date());
        aisInfosAll.add(ghAisInfo);
        GHAisInfo ghAisInfo1=new GHAisInfo();
        ghAisInfo1.setMapx(new BigDecimal("10999.548"));
        ghAisInfo1.setMapy(new BigDecimal("5902.117"));
        ghAisInfo1.setDeviCeid("b11111111111111111111111");
        ghAisInfo1.setBoatName("b22222222222222222222");
        aisInfosAll.add(ghAisInfo1);
        GHAisInfo ghAisInfo2=new GHAisInfo();
        ghAisInfo2.setMapx(new BigDecimal("10080.548"));
        ghAisInfo2.setMapy(new BigDecimal("7042.117"));
        ghAisInfo2.setDeviCeid("c11111111111111111111111");
        ghAisInfo2.setBoatName("c22222222222222222222");
        aisInfosAll.add(ghAisInfo2);
//        List<GHAisInfo> booleans= shipSealOffSpaceMapper.getAllInOut(aisInfosAll,WarningTypeEnum.SEALOFF_WARNING);
//        System.out.println(booleans.toString());
    }

    @Test
    public void m2(){
        String id = "cd1966a4-ea94-459a-a342-ed28fe17d75e";
        BoatInfoEntity boatInfo = boatRedisService.getBoatInfo(id);
        System.out.println(boatInfo);
    }

}
